#1611 closed defect (fixed)

pipe.c::pipe_create returns -1, even on success

Reported by: Bharath Suri Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

pipe_create routine returns -1 even on successful creation of the pipe and opening of the pipe.

Attachments (2)

pipe-changes (443 bytes) - added by Bharath Suri on Jul 9, 2010 at 11:22:09 AM.
Proposed change for rtems/cpukit/libfs/src/pipe/pipe.c
ChangeLog-changes (150 bytes) - added by Bharath Suri on Jul 9, 2010 at 11:23:27 AM.
Updated ChangeLog? @ cpukit/

Download all attachments as: .zip

Change History (7)

comment:1 Changed on Jul 9, 2010 at 11:07:43 AM by Bharath Suri

blocked: 1610

Changed on Jul 9, 2010 at 11:22:09 AM by Bharath Suri

Attachment: pipe-changes added

Proposed change for rtems/cpukit/libfs/src/pipe/pipe.c

Changed on Jul 9, 2010 at 11:23:27 AM by Bharath Suri

Attachment: ChangeLog-changes added

Updated ChangeLog? @ cpukit/

comment:2 Changed on Jul 9, 2010 at 5:41:02 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:3 Changed on Jul 9, 2010 at 5:55:42 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:4 Changed on Jul 10, 2010 at 1:00:59 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened

comment:5 Changed on Jul 30, 2010 at 4:00:27 AM by Bharath Suri

Resolution: fixed
Status: reopenedclosed

I feel it is OK for the temporary fifo to be removed.

Closing...

Note: See TracTickets for help on using tickets.